#ifndef __UDS_2ESERVICE_Main_H
#define __UDS_2ESERVICE_Main_H

#include "TYW_stdint.h"
#include "UDS_2EService_Filter.h"
#include "UDS_2EService_Internal.h"

void UDS_Service_2E_Indication(uint32_t A_TA_type, uint16_t A_Length, uint8_t A_Data[]);
void UDS_2EService_DID(void);

void UDS_2EService_DID_F190(void);
void UDS_2EService_DID_F1B0(void);
void UDS_2EService_DID_F1B1(void);
void UDS_2EService_DID_F1B7(void);
void UDS_2EService_DID_F1B8(void);
void UDS_2EService_DID_F1BF(void);
void UDS_2EService_DID_F1C5(void);
void UDS_2EService_DID_F1C6(void);
void UDS_2EService_DID_F010(void);
void UDS_2EService_DID_CF03(void);
void UDS_2EService_DID_1E00(void);
void UDS_2EService_DID_1E01(void);
void UDS_2EService_DID_F18B(void);
void UDS_2EService_DID_F18C(void);

#endif